Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154073 - backtrace from gpilotd crash during sync of calendar
Summary: backtrace from gpilotd crash during sync of calendar
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-pilot
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-07 00:50 UTC by David Kaplan
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-02 15:28:44 UTC


Attachments (Terms of Use)

Description David Kaplan 2005-04-07 00:50:37 UTC
Description of problem:

I regularly have gpilotd crashes when synchronizing via USB to a Palm Tungsten
E, particularly the second time I sync since booting the computer.  These
crashes happen during the sync of calendar.  They are particularly annoying as
the palm locks for a while and it or gnome-pilot thinks that is has synched
completely, so next time I go to sync it will not pass the information from the
last crash.

Crashes appear to be associated with the famous timeouts.

usb 1-3.4: gpilotd timed out on ep0in
usb 1-3.4: gpilotd timed out on ep0in

Version-Release number of selected component (if applicable):

gnome-pilot-2.0.12-4
gnome-pilot-debuginfo-2.0.12-4
kernel-2.6.10-1.770_FC3

How reproducible:

often

Steps to Reproduce:
1. Not easy to say.  Usually happens the second time I synchronize, possibly
because the timeouts have already occurred.
2.
3.
  
Actual results:

crashes and messes up future sync's

Expected results:

sync

Additional info:

Output of gdb backtrace is below.  

[dmk@chulo ~]$ gdb /usr/libexec/gpilotd
GNU gdb Red Hat Linux (6.1post-1.20040607.43rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/tls/libthread_db.so.1".

(gdb) run
Starting program: /usr/libexec/gpilotd
[Thread debugging using libthread_db enabled]
[New Thread -1208117568 (LWP 16629)]
gpilotd-Message: gnome-pilot 2.0.12 starting...
gpilotd-Message: compiled for pilot-link version 0.11.8
gpilotd-Message: compiled with [VFS] [USB] [IrDA] [Network]
gpilotd-Message: Activating CORBA server
gpilotd-Message: bonobo_activation_active_server_register = 0
gpilotd-Message: Watching USBPilot (/dev/ttyUSB1)
gpilotd-Message: Found 4766, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0502, 0736
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 091e, 0004
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0100
gpilotd-Message: Using net FALSE
gpilotd-Message: Found 082d, 0200
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0300
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0002
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0003
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0020
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0031
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0040
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0050
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0060
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0070
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0080
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 8001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 6601
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0038
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0066
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0095
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 009a
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00c9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00da
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00e9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0144
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0169
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 12ef, 0100
gpilotd-Message: Using net TRUE
gpilotd-Message: setting PILOTRATE=115200
gpilotd-Message: Cradle USBPilot has 0 events
gpilotd-Message: Instantiating 3 conduits...
ecalconduit-Message: in calendar's conduit_get_gpilot_conduit

etodoconduit-Message: in todo's conduit_get_gpilot_conduit

eaddrconduit-Message: in address's conduit_get_gpilot_conduit

gpilotd-Message: Instantiated 0 backup conduits, 0 file conduits, 3 other conduits
gpilotd-Message: HotSync button pressed, synchronizing pilot
gpilotd-Message: Pilot ID is 500, name is TungstenE, owner is David Kaplan

(gpilotd:16629): gpilotd-WARNING **: Error in queue, non-existing entry
gpilotd-Message: Pilot has 0 entries in restore queue

(gpilotd:16629): gpilotd-WARNING **: Error in queue, non-existing entry
gpilotd-Message: Pilot has 0 entries in conduit queue
eaddrconduit-Message: ---------------------------------------------------------

eaddrconduit-Message: pre_sync: Addressbook Conduit v.0.1.2
[New Thread -1210217552 (LWP 16753)]
[New Thread -1220707408 (LWP 16754)]
eaddrconduit-Message:   Current URI
file:///home/dmk/.evolution/addressbook/local/system
(file:///home/dmk/.evolution/addressbook/local/system)

eaddrconduit-Message:     doing fast sync

eaddrconduit-Message: for_each_modified beginning

eaddrconduit-Message: iterating over 1 records
eaddrconduit-Message: Syncable
eaddrconduit-Message: set_status_cleared: clearing status

eaddrconduit-Message: for_each_modified ending
eaddrconduit-Message: prepare: encoding local ['Dever' 'Ed' '']

eaddrconduit-Message: local_record_to_pilot_record

eaddrconduit-Message: set_pilot_id: setting to 1836409

eaddrconduit-Message: free_match: freeing

eaddrconduit-Message: post_sync: Address Conduit v.0.1.2
eaddrconduit-Message: ---------------------------------------------------------

ecalconduit-Message: ---------------------------------------------------------

ecalconduit-Message: pre_sync: Calendar Conduit v.0.1.6
[New Thread -1231197264 (LWP 16758)]
[New Thread -1241687120 (LWP 16760)]
ecalconduit-Message:   Using timezone:
/softwarestudio.org/Olson_20011030_5/America/Los_Angeles
[Thread -1231197264 (LWP 16758) exited]

(gpilotd:16629): libecal-CRITICAL **: file e-cal-component.c: line 1100
(e_cal_component_get_icalcomponent): assertion `priv->need_sequence_inc ==
FALSE' failed
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208117568 (LWP 16629)]
0x005046e3 in giop_send_buffer_append_string () from /usr/lib/libORBit-2.so.0
(gdb) thread apply all bt

Thread 5 (Thread -1241687120 (LWP 16760)):
#0  0x005967a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x008d7dbc in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x004e457a in ?? () from /usr/lib/libgthread-2.0.so.0
#3  0x084ecf20 in ?? ()
#4  0x084a1d20 in ?? ()
#5  0xb5fd53a8 in ?? ()
#6  0x004e6104 in ?? () from /usr/lib/libgthread-2.0.so.0
#7  0x00885dc0 in _g_debug_initialized () from /usr/lib/libglib-2.0.so.0
#8  0x08667fb8 in ?? ()
#9  0xb5fd53b8 in ?? ()
#10 0x004e481f in ?? () from /usr/lib/libgthread-2.0.so.0
#11 0x008d6d37 in pthread_mutex_lock () from /lib/tls/libpthread.so.0
#12 0x00819636 in g_async_queue_push () from /usr/lib/libglib-2.0.so.0
#13 0x0084a870 in g_thread_pool_free () from /usr/lib/libglib-2.0.so.0
#14 0x008488d2 in g_static_private_free () from /usr/lib/libglib-2.0.so.0
#15 0x008d53ae in start_thread () from /lib/tls/libpthread.so.0
#16 0x00675b6e in clone () from /lib/tls/libc.so.6

Thread 3 (Thread -1220707408 (LWP 16754)):
#0  0x005967a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
---Type <return> to continue, or q <return> to quit---
#1  0x0066bf74 in poll () from /lib/tls/libc.so.6
#2  0x008301d3 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#3  0x008304ef in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#4  0x00520bff in link_thread_io_context () from /usr/lib/libORBit-2.so.0
#5  0x008851a4 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0xb73d7458 in ?? ()
#7  0x008488d2 in g_static_private_free () from /usr/lib/libglib-2.0.so.0
Previous frame inner to this frame (corrupt stack?)
#0  0x005046e3 in giop_send_buffer_append_string ()
   from /usr/lib/libORBit-2.so.0
(gdb)

Comment 1 David Kaplan 2005-04-07 01:02:16 UTC
I just noticed that the crashes appear to occur when I try to synchronize a
multi-day all-day calendar event in evolution to the palm.  I am not certain
about this, but this appears to be the trend.


Comment 2 Matthew Miller 2006-07-10 21:11:17 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 Matthew Barnes 2007-01-01 02:41:58 UTC
Is this problem still present in Fedora Core 6?

Comment 4 David Kaplan 2007-01-02 15:25:00 UTC
This was a very long time ago.  After 7 years with Redhat, I switched to Ubuntu.

Comment 5 Matthew Barnes 2007-01-02 15:28:44 UTC
Closing as CANTFIX since the reporter can no longer confirm the bug in supported
versions of Fedora Core.


Note You need to log in before you can comment on or make changes to this bug.